commit:     680f612c12728e156c3dbfd964ccdb72e0ffc4b5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 12 18:48:22 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 20:59:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=680f612c

dev-python/pypy3-bin: Bump to 5.5.0 (alpha)

 dev-python/pypy3-bin/Manifest                     |   8 +
 dev-python/pypy3-bin/pypy3-bin-5.5.0_alpha.ebuild | 201 ++++++++++++++++++++++
 2 files changed, 209 insertions(+)

diff --git a/dev-python/pypy3-bin/Manifest b/dev-python/pypy3-bin/Manifest
index 0fd8fdc..62570a6 100644
--- a/dev-python/pypy3-bin/Manifest
+++ b/dev-python/pypy3-bin/Manifest
@@ -13,5 +13,13 @@ DIST 
pypy3-bin-5.2.0_alpha1-x86+bzip2+jit+ncurses+shadowstack+sse2.tar.lz 853375
 DIST pypy3-bin-5.2.0_alpha1-x86+bzip2+jit+ncurses+sse2.tar.lz 9328963 SHA256 
b6a8097c834e1dbb62b5042fb754c03a86d70e3c3c54f8b2c2c1268828f9ade1 SHA512 
121305c1c5c84ac3ac1beec18ba5fcf2ca9f53ba4abfa200dd3fb688be0d261552f6f44c7ccf64b37cd52f95720e149efac5608d81e65c172298ecd5da9af16a
 WHIRLPOOL 
5bb4f533f6a747ed9b4eb0eaccaf7ad86498eb3267270706510ee249b2bc5c2a95de4e16015bed633d60bd8ab4b10c09aad1719e411f61c8d7fbef3f7cc85851
 DIST pypy3-bin-5.2.0_alpha1-x86+bzip2+ncurses+sse2.tar.lz 5197922 SHA256 
4cd32da0468db5863d5f975637009f81c594c878d9a954b7aa0198029b4869f7 SHA512 
1568f3784feee713bf893cd27e1b159d55a39014a8ae69be80648e79ec8e415da425da2140d537f7c3d9a1854d14e76816d132938a3a350dd20ce97dddf032d9
 WHIRLPOOL 
a1f0cce9f24b7d04a602e0ddc2770b9431a3e708832f680ab923346769292ed5493cc3bc1e748676978966dacb4f42e6b4137ee0e05010d81b8d3d819fd740aa
 DIST pypy3-bin-5.2.0_alpha1-x86+bzip2+ncurses.tar.lz 5197502 SHA256 
443b6542da9bb14826eff2b1080d16005a4a9fe6672eef41c5d29d8852b47904 SHA512 
859037552e699b3bc172ab93f7e32315ae1d4b1a6f8d15bbbb14ca1a389f36360eb04cfc792d79bb99b418d1fd507d0d084f2652e04688bd53eed05391197c2c
 WHIRLPOOL 
f6003d1c6d05f54ea72f00755fa5b708ffc16ba180ed74846422b0cbbf95cdf9ad0b1109068ed72f43ac2b945b10bf37453984b88cfb30b335c9f5ba4878265d
+DIST pypy3-bin-5.5.0_alpha-amd64+bzip2+jit+ncurses+shadowstack.tar.lz 10860820 
SHA256 46437ffdc3327b11fb116071ec8bb5c93aa94ac143a7105cadb678be708faeb5 SHA512 
ed93e8452c82e627699aa876cfa55d2fd84d7ec7c6698e2a20bda2a5bb564def68b51a2e62ca45a36f88805cbca453b0a8a6565016428c4eef22a5539bb24647
 WHIRLPOOL 
858befe94e009628cee4e8527aaaa1e8e92fe264ff91b382fed74ba31314eccf914c403b376792eec322bcead140e8159d255b265bc88832accb3d65d16fd78c
+DIST pypy3-bin-5.5.0_alpha-amd64+bzip2+jit+ncurses.tar.lz 11610069 SHA256 
a400bd9c2df450647278dec93d397e4d040fd058f78309e8cdaff8b0792b8c01 SHA512 
e0dca44387c03306691c63263aae7d484a5244b686cfd57315d7c4bd630fd5fba888d8cb57855d3f84c9bda576194597e4048877990456812f747d7d099b5819
 WHIRLPOOL 
3f61e0b02bbfc77a413fe38aca59c626857b1b8a05b952e7a832e4d3cc20dd5d98d9173161d08cd92587e2a7b44a2a55ba61f516c632611cb4d16a20f3eb4e74
+DIST pypy3-bin-5.5.0_alpha-amd64+bzip2+ncurses.tar.lz 6243046 SHA256 
34ae3b199194a90f0867e95306b6530faa3acafb9dc9ef077ba4e229f3a5d0de SHA512 
4fdae8644c40734281d81adb5c8273a0f2429c47bff8672a7f98988195c6e9ab82d9a1443e2d1c1bc2ca75d471c112ac40ac403e75808d8610dce94fee15031b
 WHIRLPOOL 
ca2c5b4f0334f1193ef5cd6bf7ebe9034fbd176f0ce34b6302125c6e2b175e69129ca53d21ef34327bb064cf90af907c10bd81d62ccb429298020043a41fdfa0
+DIST pypy3-bin-5.5.0_alpha-x86+bzip2+jit+ncurses+shadowstack+sse2.tar.lz 
8656783 SHA256 52bff882b65d4664661c70657c927d69cbc0b9377c7d0ae20ed8ca562d8e13f4 
SHA512 
6ae588077d92d1c4d494e2b657a3d963989e3f3cf2d689ec4cf460f196d69234d13b88160ebb46334af0733f5ec13720abb0d2bc3184c6744b9218a8a5f6440a
 WHIRLPOOL 
81593ba510a71cc7ef47f3013e89e468bb5671da32a0ca5cdbfc1579cd2df90ce3b53ed59f2974243bc1b21eb8ea8d509d66ea4d2539c56f8a15ba9a3e7c6127
+DIST pypy3-bin-5.5.0_alpha-x86+bzip2+jit+ncurses+sse2.tar.lz 9549100 SHA256 
fdd95b1fb91d669e1861b2dff52b97af0d01aaedf61eb11f07c8f92cd398c7f6 SHA512 
2ac8cb894cafae8da81bddb601185941b42933aa41bda8d1696eb70ca22cbeaa0c23385e4a4cd640c46f9e301acfc2f9bc89adaf5a7f5cbef4bc23ca8af550bb
 WHIRLPOOL 
e4c21be6b52468135ff6e53434a8ae8c0450880d0f5c8d37bdc18a99f9ceb0ae101c82b8a7a6ae2088297f9dbfa7146fcf80a24948dd3316d56f0f798cc7ecec
+DIST pypy3-bin-5.5.0_alpha-x86+bzip2+ncurses+sse2.tar.lz 5231919 SHA256 
6a9848bc2d1d948a91bc15ce20768bc7024726ec7afdd2767bfba25926a35c7f SHA512 
fbdc955b1c2873d07e8ad36dd697fbb21932ac50726e76fed20da1fca218b329f18c81b8b4a65cd7ece26091859529d5bb56c7ed2efaf14ae8d9988581d88d9b
 WHIRLPOOL 
08ffd98122e4745af4e785ebb986cd7d185472ec0879bb9dc6070b14de6d35e4177e35a85326468329a06617df03880744e23a6bef825f67d40476c92c7d430e
+DIST pypy3-bin-5.5.0_alpha-x86+bzip2+ncurses.tar.lz 5232239 SHA256 
d808aa66ecd5b3d868554ad29b0eee3948e3de69390826bcb5e6b8ceb2408037 SHA512 
5e107304537855f459cc7bee92d3b2d05e16f2421d2249205c34f40f1f9415ca657f3e0842c79de98fed732e0a2752b280b44880f96eeeaa0d50d4b4bf2c525c
 WHIRLPOOL 
562fe0c00aeb83a74d9f1ccba4ffed70b5efa6592ef04c82ea06c38afc560e97aa02b835de8b69925690149c1d6803ecfbcad7eefd59bdf4462bdbbbf82c2577
 DIST pypy3.3-v5.2.0-alpha1-src.tar.bz2 24390595 SHA256 
344c2f088c82ea1274964bb0505ab80d3f9e538cc03f91aa109325ddbaa61426 SHA512 
1b6bcab12a7f4dd0ac44158b8acafd64de4b9bcc277385ba4c05982381dcd577fa6ec7b2247f70d2671055f3669764b92b4447b32d51ded58c60e6ec23509595
 WHIRLPOOL 
9455686af04f31da52da812e4f48d773c1ce45180ba067a308a779fa8b468b5a10c446a28d7468e61278801837705e882240a2e17884bc94069e564a5706f177
+DIST pypy3.3-v5.5.0-alpha-src.tar.bz2 25122033 SHA256 
d5591c34d77253e9ed57d182b6f49585b95f7c09c3e121f0e8630e5a7e75ab5f SHA512 
b2cf9700e45c452293297edffe08e572dffc3c567026b4b5d9165c1ba1b4d858ffc8a6754f5f28781020016c36440e5c02d07562d075b12444c9c32ea5dd2168
 WHIRLPOOL 
6bde174969413c55d6d077cd14e737c4f034f19935536af1bffaf3a1caa456d2bf6850760a18c274ad99089bd5ab7331d7d185f914cd6c69f708abf857d35df3
 DIST python-gentoo-patches-3.3.5-0.tar.xz 12892 SHA256 
a7240de9598033cb40f8f273d8104d4e2b1dcaea028d45ac28efaa3c680ff6f7 SHA512 
27eef4c2b3f631b000db3f6a5c426d9b498d63a08fe82b1ab7c2c010fb72208109461a5f008d47703852526655b70a734ea95be8742897026db5750bb9cc9d16
 WHIRLPOOL 
edab9222d7da94cab3b1de0e1a27c6c7dbd49194b813a0a1cf9e532063029c4e4f19151c9f4878eeabed3168ff1f97eae7f008280c7ed2897fc14c5516c68d7e

diff --git a/dev-python/pypy3-bin/pypy3-bin-5.5.0_alpha.ebuild 
b/dev-python/pypy3-bin/pypy3-bin-5.5.0_alpha.ebuild
new file mode 100644
index 00000000..5ad92f9
--- /dev/null
+++ b/dev-python/pypy3-bin/pypy3-bin-5.5.0_alpha.ebuild
@@ -0,0 +1,201 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# some random parts need python 2...
+PYTHON_COMPAT=( python2_7 pypy )
+inherit eutils multilib pax-utils python-any-r1 unpacker versionator
+
+CPY_PATCHSET_VERSION="3.3.5-0"
+BINHOST="https://dev.gentoo.org/~mgorny/dist/pypy3-bin/${PV}";
+
+DESCRIPTION="A fast, compliant alternative implementation of Python 3.3 
(binary package)"
+HOMEPAGE="http://pypy.org/";
+SRC_URI="https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v${PV/_/-}-src.tar.bz2
+       
https://dev.gentoo.org/~floppym/python-gentoo-patches-${CPY_PATCHSET_VERSION}.tar.xz
+       amd64? (
+               jit? ( shadowstack? (
+                       
${BINHOST}/${P}-amd64+bzip2+jit+ncurses+shadowstack.tar.lz
+               ) )
+               jit? ( !shadowstack? (
+                       ${BINHOST}/${P}-amd64+bzip2+jit+ncurses.tar.lz
+               ) )
+               !jit? ( !shadowstack? (
+                       ${BINHOST}/${P}-amd64+bzip2+ncurses.tar.lz
+               ) )
+       )
+       x86? (
+               cpu_flags_x86_sse2? (
+                       jit? ( shadowstack? (
+                               
${BINHOST}/${P}-x86+bzip2+jit+ncurses+shadowstack+sse2.tar.lz
+                       ) )
+                       jit? ( !shadowstack? (
+                               
${BINHOST}/${P}-x86+bzip2+jit+ncurses+sse2.tar.lz
+                       ) )
+                       !jit? ( !shadowstack? (
+                               ${BINHOST}/${P}-x86+bzip2+ncurses+sse2.tar.lz
+                       ) )
+               )
+               !cpu_flags_x86_sse2? (
+                       !jit? ( !shadowstack? (
+                               ${BINHOST}/${P}-x86+bzip2+ncurses.tar.lz
+                       ) )
+               )
+       )"
+
+# Supported variants
+REQUIRED_USE="!jit? ( !shadowstack )
+       x86? ( !cpu_flags_x86_sse2? ( !jit !shadowstack ) )"
+
+LICENSE="MIT"
+# XX from pypy3-XX.so module suffix
+SLOT="0/55"
+KEYWORDS="~amd64 ~x86"
+IUSE="gdbm +jit +shadowstack sqlite cpu_flags_x86_sse2 test tk"
+
+# yep, world would be easier if people started filling subslots...
+RDEPEND="
+       app-arch/bzip2:0=
+       dev-libs/expat:0=
+       dev-libs/libffi:0=
+       dev-libs/openssl:0=
+       sys-libs/glibc:2.2=
+       sys-libs/ncurses:0/6
+       sys-libs/zlib:0=
+       gdbm? ( sys-libs/gdbm:0= )
+       sqlite? ( dev-db/sqlite:3= )
+       tk? (
+               dev-lang/tk:0=
+               dev-tcltk/tix:0=
+       )
+       !dev-python/pypy3:0"
+DEPEND="${RDEPEND}
+       app-arch/lzip
+       test? ( ${PYTHON_DEPS} )"
+#      doc? ( ${PYTHON_DEPS}
+#              dev-python/sphinx )
+
+# Who would care about predictable directory names?
+S="${WORKDIR}/pypy3-v${PV%_*}-src"
+
+QA_PREBUILT="
+       usr/lib*/pypy3/pypy-c
+       usr/lib*/pypy3/libpypy-c.so"
+
+src_prepare() {
+       epatch "${FILESDIR}/4.0.0-gentoo-path.patch" \
+               
"${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
+
+       sed -e "s^@EPREFIX@^${EPREFIX}^" \
+               -e "s^@libdir@^$(get_libdir)^" \
+               -i lib-python/3/distutils/command/install.py || die
+
+       # apply CPython stdlib patches
+       pushd lib-python/3 > /dev/null || die
+       epatch "${FILESDIR}"/5.2.0-distutils-c++.patch \
+               "${WORKDIR}"/patches/24_all_sqlite-3.8.4.patch
+       popd > /dev/null || die
+
+       epatch_user
+}
+
+src_compile() {
+       # Tadaam! PyPy compiled!
+       mv "${WORKDIR}"/${P}*/{libpypy-c.so,pypy-c} . || die
+       mv "${WORKDIR}"/${P}*/include/*.h include/ || die
+       mv pypy/module/cpyext/include/*.h include/ || die
+
+       #use doc && emake -C pypy/doc/ html
+       #needed even without jit :( also needed in both compile and install 
phases
+       pax-mark m pypy-c libpypy-c.so
+}
+
+src_test() {
+       # (unset)
+       local -x PYTHONDONTWRITEBYTECODE
+
+       # Test runner requires Python 2 too. However, it spawns PyPy3
+       # internally so that we end up testing the correct interpreter.
+       "${PYTHON}" ./pypy/test_all.py --pypy=./pypy-c lib-python || die
+}
+
+src_install() {
+       local dest=/usr/$(get_libdir)/pypy3
+       einfo "Installing PyPy ..."
+       insinto "${dest}"
+       doins -r include lib_pypy lib-python pypy-c libpypy-c.so
+       fperms a+x ${dest}/pypy-c ${dest}/libpypy-c.so
+       pax-mark m "${ED%/}${dest}/pypy-c" "${ED%/}${dest}/libpypy-c.so"
+       dosym ../$(get_libdir)/pypy3/pypy-c /usr/bin/pypy3
+       dodoc README.rst
+
+       if ! use gdbm; then
+               rm -r "${ED%/}${dest}"/lib_pypy/gdbm.py \
+                       "${ED%/}${dest}"/lib-python/*3/test/test_gdbm.py || die
+       fi
+       if ! use sqlite; then
+               rm -r "${ED%/}${dest}"/lib-python/*3/sqlite3 \
+                       "${ED%/}${dest}"/lib_pypy/_sqlite3.py \
+                       "${ED%/}${dest}"/lib-python/*3/test/test_sqlite.py || 
die
+       fi
+       if ! use tk; then
+               rm -r "${ED%/}${dest}"/lib-python/*3/{idlelib,tkinter} \
+                       "${ED%/}${dest}"/lib_pypy/_tkinter \
+                       
"${ED%/}${dest}"/lib-python/*3/test/test_{tcl,tk,ttk*}.py || die
+       fi
+
+       # Install docs
+       #use doc && dohtml -r pypy/doc/_build/html/
+
+       einfo "Generating caches and byte-compiling ..."
+
+       local -x PYTHON=${ED%/}${dest}/pypy-c
+       local -x LD_LIBRARY_PATH="${ED%/}${dest}"
+       # we can't use eclass function since PyPy is dumb and always gives
+       # paths relative to the interpreter
+       local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy3/site-packages
+       python_export pypy3 EPYTHON
+
+       echo "EPYTHON='${EPYTHON}'" > epython.py || die
+       python_domodule epython.py
+
+       # Generate Grammar and PatternGrammar pickles.
+       "${PYTHON}" -c "import lib2to3.pygram, lib2to3.patcomp; 
lib2to3.patcomp.PatternCompiler()" \
+               || die "Generation of Grammar and PatternGrammar pickles failed"
+
+       # Generate cffi modules
+       # Please keep in sync with pypy/tool/build_cffi_imports.py!
+#cffi_build_scripts = {
+#    "sqlite3": "_sqlite3_build.py",
+#    "audioop": "_audioop_build.py",
+#    "tk": "_tkinter/tklib_build.py",
+#    "curses": "_curses_build.py" if sys.platform != "win32" else None,
+#    "syslog": "_syslog_build.py" if sys.platform != "win32" else None,
+#    "_gdbm": "_gdbm_build.py"  if sys.platform != "win32" else None,
+#    "pwdgrp": "_pwdgrp_build.py" if sys.platform != "win32" else None,
+#    "resource": "_resource_build.py" if sys.platform != "win32" else None,
+#    "lzma": "_lzma_build.py",
+#    "_decimal": "_decimal_build.py",
+       cffi_targets=( audioop curses syslog pwdgrp resource lzma decimal )
+       use gdbm && cffi_targets+=( gdbm )
+       use sqlite && cffi_targets+=( sqlite3 )
+       use tk && cffi_targets+=( tkinter/tklib )
+
+       local t
+       # all modules except tkinter output to .
+       # tkinter outputs to the correct dir ...
+       cd "${ED%/}${dest}"/lib_pypy || die
+       for t in "${cffi_targets[@]}"; do
+               # tkinter doesn't work via -m
+               "${PYTHON}" "_${t}_build.py" || die "Failed to build CFFI 
bindings for ${t}"
+       done
+
+       # Cleanup temporary objects
+       find "${ED%/}${dest}" -name "_cffi_*.[co]" -delete || die
+       find "${ED%/}${dest}" -type d -empty -delete || die
+
+       # compile the installed modules
+       python_optimize "${ED%/}${dest}"
+}

Reply via email to